%define name gsu
%define version 0.9
%define release 5mdk

Summary: Graphical frontend for su
Name: %{name}
Version: %{version}
Release: %{release}
Source0: gsu.bz2
Source4: %{name}.menu
Copyright: GPL
Group: Graphical desktop/GNOME
BuildRoot: /tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdesu, which

%description
GUI frontend for su. Allows you to run X applications as root. For this, it pops
a window asking you the root password.

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
bzcat %{SOURCE0} > $RPM_BUILD_ROOT/usr/X11R6/bin/gsu

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/lib/menu/*

%changelog
* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 0.9-5mdk
- remove % setup with no % prep
- cleanup

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9-4mdk
- Fixed menu entry

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.9-3mdk
- Fixed groups
- Fixed rpmlint errors
- Added menu

* Tue Jan  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-2mdk
- only a wrapper around kdesu

# end of file
